Bug 388121 - gvm don't mount luks crypt disk as user
gvm don't mount luks crypt disk as user
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-volume-manager (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-17 00:33 EST by Stefan Jensen
Modified: 2013-03-05 22:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 21:46:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Jensen 2007-11-17 00:33:58 EST
Description of problem:

i have a crypt_LUKS disk on /dev/sdb2, when i try to mount it, it fails.
Nothing is written to log file and the disk will not mount.

When i log in as root, the disk can mounted correctly and
/dev/mapper/luks_cryptoXXXXXXX
is created, but when i logout, the luks device will not be closed and can be
mounted by any user!!

Version-Release number of selected component (if applicable):

gnome-volume-manager-2.17.0-10.fc9
linux 2.6.23.1-49.fc8 #1 SMP

Steps to Reproduce:

1. Create crypt_LUKS volume on disk
2. try to mount via gnome-volume-manager
3. Enter the password and the mounting will fail
  
Actual results:
Volume is not mounted as user
Volume is mounted as root, after logout still open!

Expected results:
Volume should be mounted as user.
Volume should be unmounted and closed after logout.

Additional info:
Comment 1 Stefan Jensen 2007-12-06 21:46:17 EST
Seem's this is a problem of "gnome-mount", not "gnome-volume-manager". See
https://bugzilla.redhat.com/show_bug.cgi?id=415161

Note You need to log in before you can comment on or make changes to this bug.